.woo-notice .woocommerce-message, .woocommerce .woocommerce-error{
	border-bottom: 1px solid #f4f4f4;
    border-left: 1px solid #f4f4f4;
    border-right: 1px solid #f4f4f4;
}

/* product listing */
.pr_cat_lists .product-category .count, body .cat_product_lists .ast-on-card-button:not(.ast-onsale-card){
	display: none!important;
}
.pr_cat_lists li.product{
	overflow: hidden;
}
.pr_cat_lists .product img{
	transform: scale(1);
    transition: transform 0.5s cubic-bezier(0.4, 0, 0.2, 1);
    will-change: transform;
    backface-visibility: hidden;
}
.pr_cat_lists .product a:hover img{
	transform: scale(1.1);
    will-change: transform;
}
.product_lists .product .uael-flash-container{
	margin: 0px;
	width: 100%;
}
.product_lists .product .uael-flash-container .uael-sale-flash-wrap{
	margin: 1em 1em 0em auto;
    text-align: right;
}
.product_lists .product .uael-onsale{
	box-shadow: 0 4px 4px rgba(0, 0, 0, 0.15);
	line-height: normal;
}
.woocommerce .ast-onsale-card{
	background-color: #036bc7;
}
.product_lists .product .uael-onsale, .woocommerce .ast-onsale-card{
	color: #fff!important;
}
.cat_product_lists .ast-onsale-card{
	top: 1em;
	right: 1em;
	left: unset;
}
.product_lists .product .uael-woo-product-wrapper{
	border-radius: 8px;
}
.woocommerce-js ul.products li.product a img, .woocommerce-page ul.products li.product a img{
	aspect-ratio: 1/1;
}
.tax-product_cat .wc-store-catalog-pdf-download{
	display: none;
}
.product_lists .product .uael-woo-product-wrapper img{
	border-top-left-radius: 8px;
	border-top-right-radius: 8px;
}
.product_lists .product .uael-woo-product-wrapper .button, .cat_product_lists .button{
	display: inline-block;
	text-align: center;
	border-radius: 50px;
	width: 100%;
	margin: 0px!important;
}
.cat_product_lists .woocommerce-ordering{
		width: 250px;
}
.cat_product_lists .woocommerce-ordering select{
	width: 100%;
}
.cat_product_lists .woocommerce-ordering select:focus{
	border-color: #036bc7!important;
}
.cat_product_lists .button{
	line-height: 1.3!important;
}
.cat_product_lists .woocommerce-loop-product__buttons, .product_lists .uael-woo-products-button-align{
	margin-top: 19px!important;
}
.cat_product_lists .woocommerce-loop-product__title{
	margin-bottom: 15px!important;
}
.cat_product_lists .astra-shop-summary-wrap{
	display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex: 1;
	padding: 25px 20px;
}
.cat_product_lists .woocommerce-pagination ul{
	text-align: center;
}
.cat_product_lists .woocommerce-ordering select{
	border: 1px solid #BDBDBD;
    border-radius: 8px;
}
.products .product .uael-loop-product__link:hover .woocommerce-loop-product__title, .cat_product_lists .product .ast-loop-product__link:hover .woocommerce-loop-product__title{
	color: #036bc7; 
}

/* single product */
.single-product .woocommerce-product-gallery > .woocommerce-product-gallery__wrapper > .woocommerce-product-gallery__image{
	padding: 10px;
	border: 1px solid #E4E4E4;
	border-radius: 8px;
}
.single-product .flex-viewport{
	margin-bottom: 15px!important;
}
.single-product .flex-viewport .woocommerce-product-gallery__image a {
    padding: 10px;
	display: block;
	border: 1px solid #E4E4E4;
	border-radius: 8px;
    box-sizing: border-box;
}
.single-product .flex-viewport .woocommerce-product-gallery__image a img{
	border-radius: 8px;
}
.single-product .variations th, .single-product .variations td{
	background-color: transparent;
}
.single-product .product .cart .variations .reset_variations{
	font-weight: 700;
    color: #ff3d3d;
}
.single-product .quantity .qty-minus{
	margin-right: 10px;
}
.single-product .product .product_meta .posted_in{
	display: none;
}
body.single-product .quantity button{
	width: 50px;
	height: 50px;
}
.single-product div.product form.cart .variations{
	border-bottom: 0px;
}
.single-product .product .cart .variations .label{
	padding-bottom: 0px!important;
	margin-bottom: 0px;
}
.single-product .product .cart .woocommerce-variation-price .woocommerce-Price-amount{
	color: #036bc7;
}
.single-product .single_variation_wrap .single_add_to_cart_button{
	padding-left: 36px!important;
	padding-right: 36px!important;
}
.woo-notice.elementor-widget-woocommerce-notices .e-woocommerce-notices-wrapper:focus-visible, .woo-notice.elementor-widget-woocommerce-notices .e-woocommerce-notices-wrapper .woocommerce-message:focus-visible{
	outline: unset;
}
.woo-notice .woocommerce-message{
	line-height: 40px;
}
.woo-notice .woocommerce-message .button{
	padding: 10px 20px!important;
}
.woocommerce-js #reviews #review_form{
	border: 0px;
    padding: 0px;
}
.woocommerce-js.single-product div.product .product_meta{
	margin: 0px;
	padding: 0px;
	border: 0px;
}
.woocommerce-js.single-product div.product .product_title{
	margin: 0px;
}

/* review */
.woocommerce-js #reviews #review_form #respond p.comment-form-author input, .woocommerce-js #reviews #review_form #respond p.comment-form-email input,  .woocommerce-js #reviews #review_form #respond textarea{
	font-size: 16px;
	line-height: 27.2px;
	border-style: solid;
    border-width: 1px 1px 1px 1px;
    border-color: #BDBDBD;
    border-radius: 8px;
    padding: 8px 12px;
    background: #F9FAFB;
}
.woocommerce-js #reviews #review_form #respond p.comment-form-author input:focus, .woocommerce-js #reviews #review_form #respond p.comment-form-email input:focus,  .woocommerce-js #reviews #review_form #respond textarea:focus{
	border-color: #036bc7;
	background: transparent;
}

/* cart */
body.ast-plain-container.ast-no-sidebar #primary{
	margin-top: 50px;
}
body.woocommerce-js.woocommerce-cart table.shop_table th{
	border: 0px!important;
}
body .quantity{
	display: flex;
	align-items: center;
	justify-content: flex-end;
}
body .quantity button{
	padding: 0px!important;
    width: 30px;
    height: 30px;
    background-color: transparent;
	font-size: 20px;
    color: rgb(37 37 37 / 60%);
	border-width: thin;
    border-color: rgb(37 37 37 / 60%);
}
.woocommerce .woocommerce-cart-form .quantity button:focus{
	border-color: rgb(37 37 37 / 100%);
}
.ast-single-post .entry-content .woocommerce a.button:hover, .ast-single-post .entry-content .woocommerce a.button:focus{
	color: #fff;
}
body .quantity .qty{
	border: 0px!important;
    text-align: center!important;
    width: 30px!important;
}
body .checkout-button{
	width: 100%!important;
}
body .shop_table .coupon-col input:focus, body .shop_table .coupon-col input:focus-within{
	border-color: #036bc7!important;
}
body .woocommerce .shop_table .coupon-col .e-apply-coupon, body .woocommerce .woocommerce-form-coupon .form-row input{
	background-color: #FF3D3D;
    border-color: #FF3D3D;
    color: #fff;
    border-radius: 50px;
    padding: 10px 16px;
}
body .woocommerce .shop_table .coupon-col .e-apply-coupon:hover{
	background-color: #516270;
    border-color: #516270;
	color: #fff;
}
body .woocommerce .cart_totals .woocommerce-shipping-methods .woocommerce-Price-amount.amount{
	font-size: 16px!important;
}
.woocommerce .woocommerce-shipping-methods{
	margin-bottom: 15px!important;
}
.woocommerce-cart-form .product-remove .remove{
	width: 22px!important;
	height: 22px;
}
html .select2-container--default .select2-results__option--highlighted[aria-selected], .select2-container--default .select2-results__option--highlighted[data-selected]{
	background-color: #036bc7;
	color: #fff!important;
}
.shop_table .cart_item .product-remove{
	padding-right: 10px !important;
}
.woocommerce-page .cart_wrapper .woocommerce .cart_totals h2{
	font-size: 26px;
}
.woocommerce-js form .select2-container--default .select2-selection--single{
	padding: 0px!important;
	border-radius: 8px;
    border-color: #BDBDBD;
}
.woocommerce-js form .select2-container--default .select2-selection--single .select2-selection__rendered{
	font-size: 16px;
	line-height: 27.2px!important;
    padding: 10px 12px;
}
.woocommerce-js form .form-row input{
	font-size: 16px!important;
	line-height: 27.2px!important;
}
.woocommerce-js form .form-row input.input-text:focus, .woocommerce-js form .form-row input.input-text:focus-within, .woocommerce-js form .form-row input.input-text:focus-visible, .woocommerce-js form .select2-container--default .select2-selection--single:focus, .woocommerce-js form .form-row textarea:focus{
	border-color: #036bc7!important;
	background-color: transparent!important;
}
.cart_item .product-thum-name{
	align-items: flex-start;
}

/*checkout */
.woocommerce .woocommerce-checkout .single-col-1{
	border-right: 1px solid #ddd;
}
.woocommerce .woocommerce-checkout .single-col-2{
	border-left: 0px!important;
}
.woocommerce .column-layout-container .checkout .customer_details{
	flex-direction: column;
	gap: 0px;
}
.woocommerce .column-layout-container .checkout .woocommerce-shipping-methods li{
	padding-top: 0px;
	padding-bottom: 0px;
}
.woocommerce .column-layout-container .checkout .woocommerce-shipping-methods li label{
	font-size: 14px;
	line-height: 1.2em;
}
.woocommerce .column-layout-container .checkout .back-to-shop{
	width: 100%;
	text-align: center;
}
.woocommerce .column-layout-container .checkout .back-to-shop-link {
	width: 100%;
	display: inline-block;
	padding: 10px 36px;
    background-color: #FF3D3D;
    color: #fff;
    border-radius: 50px;
}
.woocommerce .column-layout-container .checkout .back-to-shop-link:hover, .woocommerce .column-layout-container .checkout .back-to-shop-link:focus{
	 background-color: #516270;
}
.woocommerce .column-layout-container .checkout .back-to-shop-link i{
	display: none;
}
.woocommerce-checkout .woocommerce .uael-woo-checkout-coupon, .woocommerce-checkout .woocommerce .uael-woo-checkout-login{
	border: 1px solid #f4f4f4;
    padding: 0px!important;
	margin-bottom: 50px;
}
.woocommerce-checkout .woocommerce .checkout_coupon, .woocommerce-checkout .woocommerce .uael-woo-checkout-login .woocommerce-form-login{
	padding: 20px 15px!important;
}
.woocommerce-page .uael-woo-checkout-login form.woocommerce-form-login p:not(.form-row){
	margin-bottom: 10px;
}
.woocommerce-page .woocommerce-form-login .woocommerce-form-login__rememberme{
	margin-bottom: 15px!important;
}
.woocommerce-form-login .form-row .woocommerce-form-login__submit{
	width: 150px;
    padding: 10px 36px;
}
.woocommerce-js form .form-row input.input-text:focus{
	border-color: #036bc7!important;
}
.checkout .footer-content .e-checkout-message{
	font-size: 14px;
    line-height: 20px;
    margin-left: 15px;
}
.woocommerce-checkout .footer-content .cart-discount{
	display: flex;
	align-items: center;
	justify-content: space-between;
	flex-wrap: wrap;
}
.woocommerce-checkout .footer-content .cart-subtotal div:first-child, .woocommerce-checkout .footer-content .cart-discount div:first-child, .woocommerce-checkout .footer-content .shipping-area {
	font-weight: 600;
}
.woocommerce-checkout .footer-content .shipping-area .e-checkout-message{
	font-weight: 400;
}
.woocommerce-checkout .uael-woo-checkout .woocommerce .woocommerce-account-fields input[type=checkbox]:checked:before{
	vertical-align: top;
}
.woocommerce .woocommerce-error a{
	color: #FF3D3D;
}
.woocommerce-js form .form-row textarea{
	height: 6em;
}
.woocommerce .woocommerce-additional-fields__field-wrapper .form-row.notes, .woocommerce .woocommerce-checkout .create-account .form-row, .woocommerce .woocommerce-checkout .create-account.form-row{
	padding-left: 0px;
	padding-right: 0px;
}
.cart_item .product-total .woocommerce-Price-amount{
	font-weight: 600;
}
.woocommerce-js table.shop_table.order_details .woocommerce-Price-amount, .woocommerce-page table.shop_table.order_details .woocommerce-Price-amount, .woocommerce-checkout .footer-content .cart-subtotal{
	font-weight: 700;
}
.uael-woo-checkout .uael-woo-checkout-order-review ul.uael-order-review-table li + li{
	margin-top: 20px;
}
.woocommerce-page.woocommerce-checkout .uael-woo-checkout #payment #place_order{
	margin-top: 30px;
}
.wpforms-confirmation-container{
	margin-top: 70px;
}
.woocommerce-checkout #wc-stripe-express-checkout-element {
	margin-right: 45px;
}
.checkout-inline-error-message{color: #ff0000;}

/* thank you */
body.woocommerce-order-received ul.order_details{
	padding: 0px;
}
body.woocommerce-order-received .woocommerce-order .woocommerce-table--order-details thead{
	background: #036bc7;
    color: #fff;
}
.woocommerce-table.woocommerce-thankyou-order-details .order_item td, .woocommerce-order .woocommerce-table.woocommerce-thankyou-order-details tfoot th{
	background-color: transparent;
}
.woocommerce-order .woocommerce-table tfoot tr th, .woocommerce-order .woocommerce-table tfoot tr td, .woocommerce-order .woocommerce-table .order_item td{
	border-color: rgba(0,0,0,0.1)!important;
}
.woocommerce-order .woocommerce-table tfoot tr th{
	border-right: 1px solid rgba(0, 0, 0, 0.1) !important;
}
body .woocommerce-customer-details .woocommerce-column address{
	border-width: 1px;
    border-style: solid;
    border-color: #252525;
}
.woocommerce-order-received .woocommerce .col2-set .col-1{
	padding-left: 0px;
}
.woocommerce-order-received.woocommerce-page .col2-set .col-2{
	padding-right: 0px;
}
.woocommerce-order-received .woocommerce .col2-set .col-1, .woocommerce-order-received.woocommerce-page .col2-set .col-2{
	flex: calc((100% / 2) - 30px);
}
.woocommerce-order-received .woocommerce .col2-set, .woocommerce-order-received.woocommerce-page .col2-set{
	margin-left: 0px;
	margin-right: 0px;
}


/* My Account Page */
body.woocommerce-account .site-content{
	background-color: #F8F8F8
}
body .woocommerce-MyAccount-navigation-link{
	border:none;
	background:#083258;
}
body .woocommerce-MyAccount-navigation-link.is-active a, body .woocommerce-MyAccount-navigation-link:hover{
	background:#036bc7;
}
.woocommerce-MyAccount-content table.shop_table a.woocommerce-button, .woocommerce-MyAccount-content .no_subscriptions a.button {
    padding-top: 6px;
    padding-right: 16px;
    padding-bottom: 6px;
    padding-left: 16px;
}
body .woocommerce-MyAccount-navigation-link a{
	color:#fff !important;
}
body .woocommerce-MyAccount-content a:not(.woocommerce-Button):hover {
    color: inherit !important;
    text-decoration: underline !important;
}
body .woocommerce-MyAccount-navigation>ul {
    padding: 0;
}
.ast-plain-container.ast-no-sidebar #primary {
    margin-top: 100px;
    margin-bottom: 100px;
}
.woocommerce-MyAccount-content table.shop_table {
    border: 1px solid rgba(0,0,0,0.1);
    margin: 0 -1px 24px 0;
    text-align: left;
    width: 100%;
    border-collapse: collapse;
    border-radius: 0px;
    background-color: #FFFFFF;
}
.woocommerce-account table thead th {
    background:#036bc7;
    color: #FFFFFF;
	font-weight: 700;
    padding: 9px 12px;
    line-height: 1.5em;
	border:none !important;
}
.woocommerce-js table.shop_table th{
	border-right:none !important;
	border-top: 1px solid rgba(0,0,0,0.1) !important;
}
.woocommerce-account .woocommerce table.shop_table.woocommerce-MyAccount-orders tfoot th, .woocommerce-page table.shop_table.woocommerce-MyAccount-orders tfoot th {
     background-color: rgba(128,128,128,0.0705882);
}
.woocommerce-account table.shop_table td {
    border-top: 1px solid rgba(0,0,0,0.1) !important;
    padding: 9px 12px;
    vertical-align: middle;
    line-height: 1.5em;
	border:0;
}
.woocommerce-account table.woocommerce-MyAccount-orders tbody>tr:nth-child(odd)>td, table.woocommerce-MyAccount-orders tbody>tr:nth-child(odd)>th {
    background-color: rgba(128,128,128,0.0705882);
}
.woocommerce-account table.shop_table tfoot td, table.shop_table tfoot th, table.shop_table tbody th {
    font-weight: 700;
    border-top: 1px solid rgba(0,0,0,0.1);
}

.woocommerce-MyAccount-content table.shop_table .woocommerce-orders-table__cell-order-actions a:hover{
	color:#ffffff !important;
	text-decoration:none !important;
}
.woocommerce .woocommerce-Addresses .woocommerce-Address-title, .woocommerce .woocommerce-Addresses .woocommerce-column__title, .woocommerce .woocommerce-MyAccount-content .woocommerce-Address-title, .woocommerce .woocommerce-MyAccount-content .woocommerce-column__title, .woocommerce .woocommerce-customer-details .woocommerce-Address-title, .woocommerce .woocommerce-customer-details .woocommerce-column__title, .woocommerce-account .woocommerce-Addresses .woocommerce-Address-title, .woocommerce-account .woocommerce-Addresses .woocommerce-column__title, .woocommerce-account .woocommerce-MyAccount-content .woocommerce-Address-title, .woocommerce-account .woocommerce-MyAccount-content .woocommerce-column__title, .woocommerce-account .woocommerce-customer-details .woocommerce-Address-title, .woocommerce-account .woocommerce-customer-details .woocommerce-column__title {
    background: transparent;
    padding: 0;
    border-width: 0;
}
.woocommerce-account .woocommerce h2{
	font-size:26px !important;
}
.woocommerce-MyAccount-content h2{
	margin-bottom:25px !important;
}
.woocommerce-MyAccount-content .woocommerce-Address .woocommerce-Address-title {
    position: relative;
    padding-right: 30px;
}
.woocommerce-MyAccount-content .woocommerce-Address .edit {
    font-size: 0px;
    position: absolute;
    display: inline-block;
    right: 2px;
    top: 5px;
}
.woocommerce-MyAccount-content .woocommerce-Address .edit:before {
    content: "\f044";
    display: inline-block;
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
    color: #065899;
    max-width: 16px;
    width: 16px;
    text-align: center;
    font-size: 16px;
}
.woocommerce .woocommerce-Addresses address, .woocommerce .woocommerce-MyAccount-content address, .woocommerce .woocommerce-customer-details address, .woocommerce-account .woocommerce-Addresses address, .woocommerce-account .woocommerce-MyAccount-content address, .woocommerce-account .woocommerce-customer-details address {
    border: 0;
    padding: 1em;
    border-radius: 0;
    background: #fff;
}
.woocommerce .woocommerce-customer-details address, .woocommerce .woocommerce-MyAccount-content .woocommerce-Addresses address {
    font-style: normal;
}
.woocommerce-js form .form-row input.input-text, .woocommerce-js form .form-row textarea {
    border-style: solid;
    border-width: 1px 1px 1px 1px;
    border-color: #BDBDBD;
    border-radius: 8px;
    padding: 10px 12px;
    margin-bottom: 5px;
}
.woocommerce-error, .woocommerce-info, .woocommerce-message {
    background-color: #ffffff;
}


/* Login css */
.woocommerce .col2-set, .woocommerce-page .col2-set {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
	flex-wrap:wrap;
    margin-left: -15px;
    margin-right: -15px;
    row-gap: 30px;
}
.woocommerce .col2-set .col-1, .woocommerce-page .col2-set .col-1, .woocommerce .col2-set .col-2, .woocommerce-page .col2-set .col-2 {
    max-width: 100%;
    -webkit-box-flex: 50%;
    -ms-flex: 50%;
    flex: 50%;
	padding-left:15px;
	padding-right:15px;
}
.woocommerce .woocommerce-form-login__rememberme, .woocommerce-page .woocommerce-form-login__rememberme {
    margin-bottom: 15px;
}
.woocommerce-js form .form-row {
    margin: 0 0 15px;
}
.woocommerce #customer_login form.login, .woocommerce #customer_login form.register, .woocommerce-page #customer_login form.login, .woocommerce-page #customer_login form.register {
    background: #fff;
    border: none;
}
.woocommerce-page .woocommerce input[type="checkbox"]{
	border: 1px solid #b4b9be;
    display: inline-block;
	vertical-align: middle;
    background: #fff;
    color: #555;
    cursor: pointer;
    line-height: 0;
    height: 16px;
    margin: -4px 4px 0 0;
    padding: 0 !important;
    text-align: center;
    width: 16px;
    min-width: 16px;
    -webkit-appearance: none;
    -webkit-box-shadow: inset 0 1px 2px rgb(0 0 0 / 10%);
    box-shadow: inset 0 1px 2px rgb(0 0 0 / 10%);
    -webkit-transition: 50ms border-color ease-in-out;
    transition: 50ms border-color ease-in-out;
}
.woocommerce-page .woocommerce .woocommerce-form__label-for-checkbox span{
	display: inline;
	vertical-align: middle;
}
.woocommerce-page .woocommerce input[type="checkbox"]:checked:before{
	content: "\2714";
    display: inline-block;
    vertical-align: top!important;
    font-size: 13px;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
}

/* Responsive */
@media (min-width: 1025px){
	.cart_wrapper .woocommerce .e-cart__container{
		grid-template-columns: 65% auto;
	}
	.cart_item .product-thum-name .product-thumbnail{
		width: 60px !important;
		margin-right: 15px !important;
	}
	.cart_item .product-thum-name .product-name{
		width: calc(100% - 75px);
	}
}
@media (min-width: 768px) {
	.woocommerce #customer_login form.login, .woocommerce #customer_login form.register, .woocommerce-page #customer_login form.login, .woocommerce-page #customer_login form.register{
		height: calc(100% - 104px);
	}
	.woocommerce-checkout{
		flex-wrap: wrap;
	}
	.woocommerce-checkout .woocommerce-NoticeGroup{
		max-width: 100%;
		width: 100%;
	}
	.woocommerce-checkout .uael-woo-checkout .column-layout-container .single-col-1{
		max-width: calc(65% - 5px);
	}
	.woocommerce-checkout .uael-woo-checkout .column-layout-container .single-col-2{
		max-width: calc(35% - 5px);
	}
}

@media (max-width:1024px){
	
	.ast-plain-container.ast-no-sidebar #primary {
		margin-top: 80px;
		margin-bottom: 80px;
	}
	
}
@media (min-width: 768px) and (max-width: 1024px){
	.woocommerce .checkout .cart_item .product-thum-name{
		flex-direction: column;
	}
}
@media (max-width:921px){
	
	.woocommerce-account .woocommerce-MyAccount-navigation{
		margin-bottom:30px;
	}
	td.woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-actions {
		display:flex !important;
		align-items:center;
		justify-content:space-between;
	}
	.woocommerce h2{
		font-size: 24px;
	}
	.woocommerce table.shop_table_responsive tbody tr td, .woocommerce table.my_account_orders tbody tr td, .woocommerce-page table.shop_table_responsive tbody tr td, .woocommerce-page table.my_account_orders tbody tr td {
    display: block !important;
    text-align: right !important;
    position: relative;
    padding-left: 100px;
}
	.woocommerce table.shop_table_responsive tbody tr td::before, .woocommerce table.my_account_orders tbody tr td::before, .woocommerce-page table.shop_table_responsive tbody tr td::before, .woocommerce-page table.my_account_orders tbody tr td::before {
		left: 15px;
		top:50%;
		transform:translatey(-50%);
		position:absolute;
	}

	/*cart, checkout*/
	.woocommerce-page .cart_wrapper .woocommerce .cart_totals table.shop_table .woocommerce-shipping-totals td{
		padding-top: 50px;
	}
	.woocommerce-page table.shop_table_responsive tbody tr.woocommerce-shipping-totals td::before{
		top: 20px;
	}
	.cart_wrapper .e-cart-section .cart_item{
		padding-left: 0px!important;
		padding-right: 0px!important;
	}
	.shop_table .coupon-col .e-apply-coupon{
		padding: 10px 30px;
	}
	body.woocommerce-page.woocommerce-cart table.shop_table_responsive tbody tr td::before{
		left: 0px;
	}
	.woocommerce .checkout .footer-content .shipping-area {
		flex-direction: column;
	}
	
}

@media (max-width:767px){
	
	.ast-plain-container.ast-no-sidebar #primary {
		margin-top: 60px;
		margin-bottom: 60px;
	}
	.woocommerce table.shop_table_responsive tbody tr td, .woocommerce table.my_account_orders tbody tr td, .woocommerce-page table.shop_table_responsive tbody tr td, .woocommerce-page table.my_account_orders tbody tr td {
		padding-left: 75px;
	}
	.woocommerce .col2-set, .woocommerce-page .col2-set {
		margin-left: auto;
		margin-right: auto;
	}
	.woocommerce .col2-set .col-1, .woocommerce .col2-set .col-2, .woocommerce-page .col2-set .col-1, .woocommerce-page .col2-set .col-2 {
		float: none;
		width: 100%;
		max-width: 100% !important;
		-webkit-box-flex: 100% !important;
		-ms-flex: 100% !important;
		flex: 100% !important;
		padding-left:0;
		padding-right:0;
	}
	
	/*product listing */
/* 	.single-product .woocommerce-product-gallery{
		display: flex;
		justify-content: center;
	} */
	.woo-notice .woocommerce-message{
		line-height: 20px;
	}
	
	.woocommerce-js ul.order_details.woocommerce-order-overview  li:not(:last-child){
		margin-bottom: 10px;
	}
	.woocommerce-checkout .woocommerce .uael-custom-coupon-field{
		flex-direction: column;
	}
	.woocommerce-checkout .woocommerce form .uael-custom-coupon-field .form-row-first, .woocommerce-checkout .woocommerce form .uael-custom-coupon-field .form-row-first input{
		width: 100%!important;
	}
	.woocommerce-checkout .woocommerce form .uael-custom-coupon-field .form-row-last{
		width: max-content!important;
	}
	#wc-stripe-express-checkout-element {
		margin-right: 15px;
	}
	
}

@media (max-width:544px){

	.woocommerce-message .button, .woocommerce-error .button, .woocommerce-info .button {
		margin: 10px auto 0px auto !important;
	}
}
@media (max-width: 480px){
	/* product listing, cart, checkout */
	.cat_product_lists .products, .pr_cat_lists .products{
		grid-template-columns: repeat(1, 1fr);
	}
	.product_lists .products li{
		width: 100%!important;
	}
	
	.cart .single_variation_wrap .woocommerce-variation-add-to-cart{
		flex-direction: column;
	}	
	.cart .single_variation_wrap .woocommerce-variation-add-to-cart .quantity{
		justify-content: flex-start;
	}
	.cart .single_variation_wrap .single_add_to_cart_button{
		width: max-content;
		margin-left: 0px !important;
	}
	.shop_table .cart_item td.product-name a{
		width: 70%;
    	display: inline-block;
	}
	.woocommerce .checkout .cart_item .product-thum-name{
		flex-direction: column;
	}
}